package com.cool.store.enums;

/**
 * @Author: WangShuo
 * @Date: 2025/04/07/18:23
 * @Version 1.0
 * @注释:
 */
public enum BusinessModelEnum {
    NULL(0, "无"),
    DIRECT_SALES(1, "直营"),
    JOIN_SALES(2, "加盟"),
    JOINT_STORE(3, "联营");

    private Integer code;
    private String desc;

    BusinessModelEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
